2019-12-07 11:57 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001867FSSCPFREDpublic2009-01-24 17:41
ReporterFUBAR-BDHR 
Assigned Tokarajorma 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001867: String-equals doesn't work with <argument>
DescriptionBasically that's it. When-argument with a when string-equals comparing <argument> to a string doesn't work. If I store <argument> to a variable and use that in the comparison it works.
Additional Information3.6.10 r5032 and last nights (5034 I think)

Mission is a TBP mission. Yes it's that same mission again. Anyway events Explosions1 and Explosions2 are where it happens.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0010547

Goober5000 (administrator)

If TBP still has those debug warnings, I'm not about to click through all of them to test this out. However, I have a hunch. Try opening the mission in Notepad and removing the quotation marks from around <argument>.

~0010558

FUBAR-BDHR (developer)

Well removing the "" from those 2 <argument> statements didn't cause a crash they still didn't work.

I do see this in the log file both in the original and with the "" removed. Not something I usually see.

ASSERTION: "!(Sexp_replacement_arguments.empty())" at sexp.cpp:20082

~0010561

Goober5000 (administrator)

Can you reproduce this on a non-TBP mission?

~0010565

FUBAR-BDHR (developer)

I stripped out all the TBP stuff. You'll have a lot of Ulysses now but it is now FS2 compatible. If the outpost or the platform Ulysses don't self destruct after the set of explosions the comparison didn't work.

~0010581

karajorma (administrator)

Last edited: 2009-01-20 02:56

Hang on a sec. You see the assertions in the log file but it doesn't actually stop with one?

Anyway, I'll look at this tonight. Especially since that particular problem is one of my making.

~0010594

karajorma (administrator)

Fixored (I think). Test build available from here.

http://www.freespacefaq.com/Misc-Downloads/Builds/String-Equals-Fix.7z

~0010596

FUBAR-BDHR (developer)

Looks like it worked.
+Notes

-Issue History
Date Modified Username Field Change
2009-01-08 21:40 FUBAR-BDHR New Issue
2009-01-08 21:40 FUBAR-BDHR File Added: FUBAR_M04f.fs2
2009-01-09 03:26 karajorma Status new => assigned
2009-01-09 03:26 karajorma Assigned To => karajorma
2009-01-19 19:53 Goober5000 Note Added: 0010547
2009-01-19 22:33 FUBAR-BDHR Note Added: 0010558
2009-01-19 22:49 Goober5000 Note Added: 0010561
2009-01-19 23:34 FUBAR-BDHR File Added: 1867.fs2
2009-01-19 23:37 FUBAR-BDHR Note Added: 0010565
2009-01-20 02:48 karajorma Note Added: 0010581
2009-01-20 02:56 karajorma Note Edited: 0010581
2009-01-23 17:15 karajorma Note Added: 0010594
2009-01-23 19:40 FUBAR-BDHR Note Added: 0010596
2009-01-24 17:41 karajorma Status assigned => resolved
2009-01-24 17:41 karajorma Fixed in Version => 3.6.10
2009-01-24 17:41 karajorma Resolution open => fixed
+Issue History